d_instantiate
Prev | The Directory Cache | Next

## Name

d_instantiate — fill in inode information for a dentry

## Synopsis

`void d_instantiate (` | struct dentry * | entry,
| struct inode * | inode`)`;

## Arguments

`entry`

  dentry to complete

`inode`

  inode to attach to this dentry

## Description

Fill in inode information in the entry.

This turns negative dentries into productive full members of society.

NOTE! This assumes that the inode count has been incremented (or otherwise set) by the caller to indicate that it is now in use by the dcache.

Prev | Up | Next
d_alloc | Home | d_alloc_root